API referenceEndpointsCompanies
Authorization
RanglerApiKey X-API-Key<token>
In: header
Path Parameters
company_id*Company Id
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.rangler.co/v1/companies/497f6eca-6276-4993-bfeb-53cbbbba6f08/details"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"symbol": "string",
"name": "string",
"is_public": true,
"exchange": "string",
"country_code": "NG",
"board": "string",
"sector": "string",
"year_end": "string",
"incorporated_on": "2019-08-24",
"listed_on": "2019-08-24",
"website": "string",
"email": "string",
"phone": "string",
"registered_office": "string",
"registrar": {
"name": "string",
"website": "string"
},
"auditor": {
"name": "string"
},
"company_secretary": "string",
"employee_count": 0,
"share_info": {
"shares_outstanding": 0,
"free_float": 0,
"last_price": 0,
"last_price_currency": "string",
"market_cap_usd_m": 0,
"market_cap_value": 0,
"market_cap_currency": "string",
"market_cap_display": "string",
"snapshot_date": "2019-08-24"
},
"officers": [
{
"role": "string",
"name": "string"
}
],
"links": {
"company_profile_page": "string"
},
"documents": [
{
"type": "string",
"format": "string",
"url": "string"
}
],
"summary": "string",
"last_fetched_at": "2019-08-24T14:15:22Z",
"source": "string"
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "not_found",
"code": "not_found",
"message": "Company not found",
"request_id": "9f5237bc-7d8c-4a9d-9c1f-fbd4ef236cf9"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}